package net.northking.cctp.upperComputer.driver.usbmuxd.payload.usbmuxd.request;

import com.dd.plist.NSDictionary;
import net.northking.cctp.upperComputer.driver.usbmuxd.payload.usbmuxd.UsbMuxdPayload;

/**
 * 请求列出所有已连接的设备<br>
 * 目标：usbmuxd
 */
public class ListDevicesRequest extends UsbMuxdPayload {

    /**
     * 持有根节点
     */
    private final NSDictionary root = new NSDictionary();

    public ListDevicesRequest() {
        root.put("MessageType", "ListDevices");
        root.put("ClientVersionString", CLIENT_VERSION_STRING);
        root.put("ProgName", PROG_NAME);
        root.put("kLibUSBMuxVersion", KLIB_USBMUX_VERSION);
    }

    @Override
    public NSDictionary toData() {
        return root;
    }
}
